aboutsummaryrefslogtreecommitdiff
path: root/luks_test.sh
diff options
context:
space:
mode:
authortoni <matzeton@googlemail.com>2016-07-26 16:28:40 +0200
committertoni <matzeton@googlemail.com>2016-07-26 21:21:55 +0200
commitb2c9fc568be1b8edbd2a1b7c19448fe987263bca (patch)
tree40c5aa3af09fb6b309ec7b198e6527fa50066b07 /luks_test.sh
parent167bc97d30d4f5408a603671fde98bd2bde22e05 (diff)
fixed deadlock
Diffstat (limited to 'luks_test.sh')
-rwxr-xr-xluks_test.sh11
1 files changed, 6 insertions, 5 deletions
diff --git a/luks_test.sh b/luks_test.sh
index ebe622c..8e504c4 100755
--- a/luks_test.sh
+++ b/luks_test.sh
@@ -1,20 +1,21 @@
#!/bin/sh
set -e
+set -x
-if [ "x$1" = "x" ] || [ "x$2" = "x" ]; then
- echo "$0: [FILE] [NAME]"
+if [ "x$1" = "x" ]; then
+ echo "$0: [FILE]"
exit 1
fi
FILE=$1
-NAME=$2
+NAME=$(basename ${FILE})
-if [ ! -w ${FILE} ]; then
+if [ ! -w ${FILE} ] || [ `file ${FILE} | grep -qoE 'LUKS encrypted file' && echo 0 || echo 1` -ne 0 ]; then
dd if=/dev/zero of=${FILE} bs=1M count=10
/sbin/cryptsetup luksFormat ${FILE}
fi
-sudo src/naskpass -l -f ./testfifo -c "/sbin/cryptsetup open ${FILE} ${NAME}"
+sudo src/naskpass -l -f ./${NAME}.fifo -c "/sbin/cryptsetup open ${FILE} ${NAME}"
set +e
sudo /sbin/cryptsetup status ${NAME}